compiling from source: gcc-4.8 during linking

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

compiling from source: gcc-4.8 during linking

Sandeep Gupta
I downloaded postgis (version 2.3.3) and configured it as follows:

./configure --prefix=/home/linuxbrew/.linuxbrew/Cellar/postgis/2.3.3
CC=/home/linuxbrew/.linuxbrew/bin/gcc
CXX=/home/linuxbrew/.linuxbrew/bin/g++
CPP='/home/linuxbrew/.linuxbrew/bin/g++ -E'

However, the make fails during linking:

gcc-4.8 -I../liblwgeom  -fpic -I../libpgcommon
-I/home/linuxbrew/.linuxbrew/Cellar/geos/3.6.1/include
-I/home/linuxbrew/.linuxbrew/Cellar/libxml2/2.9.4_3/include/libxml2
-I/home/linuxbrew/.linuxbrew/Cellar/sfcgal/1.3.1/include -DHAVE_SFCGAL
   -fPIC -I/home/linuxbrew/.linuxbrew/Cellar/sfcgal/1.3.1/include
-DHAVE_SFCGAL -I. -I./
-I/home/linuxbrew/.linuxbrew/Cellar/postgresql/9.6.3/include/server
-I/home/linuxbrew/.linuxbrew/Cellar/postgresql/9.6.3/include/internal
-I/home/linuxbrew/.linuxbrew/opt/openssl/include
-I/home/linuxbrew/.linuxbrew/opt/readline/include -D_GNU_SOURCE
-I/home/linuxbrew/.linuxbrew/Cellar/libxml2/2.9.4_2/include/libxml2
-c -o postgis_module.o postgis_module.c
make[1]: gcc-4.8: Command not found


Was wondering if any else is seeing this error on other system? Any
pointers as to how to resolve this.
Ideally, I would like to use brew framework to compile this.

Thanks
sandeep
_______________________________________________
postgis-users mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/postgis-users
Loading...